package cn.ey.biz.module.system.convert.dict;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.api.dict.dto.CategoryDataDTO;
import cn.ey.biz.module.system.api.dict.dto.DictDataRespDTO;
import cn.ey.biz.module.system.controller.admin.dict.vo.data.*;
import cn.ey.biz.module.system.dal.dataobject.category.CategoryDataDO;
import cn.ey.biz.module.system.dal.dataobject.dict.DictDataDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface DictDataConvert {

    DictDataConvert INSTANCE = Mappers.getMapper(DictDataConvert.class);

    List<DictDataSimpleRespVO> convertList(List<DictDataDO> list);

    DictDataRespVO convert(DictDataDO bean);

    PageResult<DictDataRespVO> convertPage(PageResult<DictDataDO> page);

    DictDataDO convert(DictDataUpdateReqVO bean);

    DictDataDO convert(DictDataCreateReqVO bean);

    List<DictDataExcelVO> convertList02(List<DictDataDO> bean);

    DictDataRespDTO convert02(DictDataDO bean);

    CategoryDataDTO categoryDo2Dto(CategoryDataDO doo);

}
